Skip to main content
GET
/
v1
/
{tenantUUID}
/
market
/
ipv4
/
child
/
search
Search subnet child
curl --request GET \
  --url https://apigw.ipxo.com/billing/v1/{tenantUUID}/market/ipv4/child/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "address": "string",
  "mask": 0,
  "is_hidden": true,
  "is_reserved": true,
  "is_leased": true,
  "price": 0,
  "is_part_of_subnet_leased_or_reserved": true,
  "hiding_reason": "string"
}
'
{
  "address": "string",
  "mask": 0,
  "is_hidden": true,
  "is_reserved": true,
  "is_leased": true,
  "price": 0,
  "is_part_of_subnet_leased_or_reserved": true,
  "hiding_reason": "string"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

tenantUUID
string
required

UUID

Pattern: ^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$

Query Parameters

address
string
required

IPV4 child address

cidr
integer
required

IPV4 child cidr

market_service_uuid
string<uuid>

Parent IPV4 ip market service uuid

Body

application/json
address
string
mask
integer
is_hidden
boolean
is_reserved
boolean
is_leased
boolean
price
number<float>
is_part_of_subnet_leased_or_reserved
boolean
hiding_reason
string

Response

Billing Service

address
string
mask
integer
is_hidden
boolean
is_reserved
boolean
is_leased
boolean
price
number<float>
is_part_of_subnet_leased_or_reserved
boolean
hiding_reason
string